Loading...
Searching...
No Matches
TracksHeader Struct Reference

Header for an optical tracks block listing track entries. More...

`#include <aaruformat/structs/optical.h>`

## Data Fields

uint32_t | identifier
| Block identifier (must be BlockType::TracksBlock).
uint16_t | entries
| Number of TrackEntry records following this header.
uint64_t | crc64
| CRC64-ECMA of the TrackEntry array (header excluded, legacy byte-swap for early versions).

## Detailed Description

Header for an optical tracks block listing track entries.

Definition at line 61 of file optical.h.

## Field Documentation

## crc64

uint64_t TracksHeader::crc64

CRC64-ECMA of the TrackEntry array (header excluded, legacy byte-swap for early versions).

Definition at line 65 of file optical.h.

Referenced by aaruf_set_tracks(), aaruf_verify_image(), and process_tracks_block().

## entries

uint16_t TracksHeader::entries

Number of TrackEntry records following this header.

Definition at line 64 of file optical.h.

Referenced by aaruf_get_tracks(), aaruf_read_sector_tag(), aaruf_set_tracks(), aaruf_verify_image(), aaruf_write_sector(), aaruf_write_sector_long(), aaruf_write_sector_tag(), process_tracks_block(), and write_tracks_block().

## identifier

uint32_t TracksHeader::identifier

Block identifier (must be BlockType::TracksBlock).

Definition at line 63 of file optical.h.

Referenced by aaruf_set_tracks(), and process_tracks_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/optical.h